package POE::Component::Leve::printHandler;
##############################################################################
=pod

=head1 NAME

printHandler

=head1 DESCRIPTION

a module to handle the input output operations

=head1 AUTHOR

  Bruno Bttcher <bboett at adlp dot org>

=head1 COPYRIGHT and LICENCE

 Copyright (c) 2002 Bruno Boettcher

 printHandler.pm is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; version 2
 of the License.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


=cut


=head3 global stuff

Some global stuff is defined here

=cut


######################################################################
use strict;
use POE qw/Session/;

#my @wishlist = ();		#list of regexps that the user wants to fetch 
#my %series = ();		#list of regexps and serial numbers that the user wants to fetch 
use vars qw/$VERSION/;

$VERSION = sprintf("%d.%02d", q$Revision: 1.3 $ =~ /(\d+)\.(\d+)/);
##############################################################################
=pod

=head1 Methods of this class

=over

=item init

set up the main datastructures of this object, make it ready for the run

=cut


######################################################################
sub init
{
  my($this,$settings,$reporter) = @_;

}#sub init
######################################################################
=pod

=item new 

constructor for the new xchat handler object

=cut

######################################################################
sub new
{
  my $fs = shift;
  my $serverName = shift;
  my $o_xchatHandler = { };

  bless $o_xchatHandler, "POE::Component::Leve::printHandler";
  return $o_xchatHandler;
}# sub new 
######################################################################
=pod

=item print

something has to be issued, actually this thing only prints to the console, but
its thinkable ot redistribute the stuff elsewhere...

=cut

######################################################################
sub print
{
  my ($this,$msg) = @_;
  my @lines = split(/\n/, $msg);
  foreach my $i (@lines)
  {
    chomp $i;
    print("PRINT: $i\n");
  }# foreach $i (@helplines)
}#sub print
######################################################################
=pod

=item print_debug

some debug message has to be issued, actually this thing only prints to the
console, but its thinkable ot redistribute the stuff elsewhere...

=cut

######################################################################
sub print_debug
{
  my ($this, $msg) = @_[OBJECT, ARG0 ];
  #my ($this,$msg) = @_;
  my @lines = split(/\n/, $msg);
  foreach my $i (@lines)
  {
    chomp $i;
    print("DEBUG: $i\n");
  }# foreach $i (@helplines)
}#sub print_debug
######################################################################
=pod

=item print_log

some logging message has to be issued, actually this thing only prints to the
console, but its thinkable ot redistribute the stuff elsewhere...

=cut

######################################################################
sub print_log
{
  my ($this,$msg) = @_;
  my @lines = split(/\n/, $msg);
  foreach my $i (@lines)
  {
    chomp $i;
    print("LOG: $i\n");
  }# foreach $i (@helplines)
}#sub print_log
######################################################################
=pod

=item _default

some unkown stuff came in... trying to issue it

=cut

######################################################################
sub _default
{
  my ($this,$msg) = @_;
  my ($arg1, $arg2) = @_[ARG0, ARG1];
  print("DEFAULT ".Dumper($arg1)." ".Dumper($arg2)."\n");
}#sub _default
1
__END__


=back

=head1 THANKS

I. Wronsky came up with this infernal concept and kludged the first 1.x
versions together. This gave B. Boettcher the incentive to begin this work, the
famous itching paradigm!

=head1 SEE ALSO

 http://www.geocities.com/iwronsky/
 http://poe.perl.org/

=cut
